Subject: Protocol Action: 'Sieve Email Filtering: Delivering to Special-Use Mailboxes' to Proposed Standard (draft-ietf-extra-sieve-special-use-05.txt)

From: The IESG <[email-masked]>
Date: Fri, 25 Jan 2019 07:11:05 -0800

The IESG has approved the following document:
- 'Sieve Email Filtering: Delivering to Special-Use Mailboxes'
  (draft-ietf-extra-sieve-special-use-05.txt) as Proposed Standard

This document is the product of the Email mailstore and eXtensions To Revise
or Amend Working Group.

The IESG contact persons are Adam Roach, Alexey Melnikov and Ben Campbell.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-extra-sieve-special-use/

Technical Summary
 
   The SPECIAL-USE capability of the IMAP protocol (RFC 6154) allows
   clients to identify special-use mailboxes; e.g., where draft or sent
   messages should be put.  This simplifies client configuration.  In
   contrast, the Sieve mail filtering language (RFC 5228) currently has
   no such capability.  This memo defines a Sieve extension that fills
   this gap: it adds a test for checking whether a special-use attribute
   is assigned for a particular mailbox or any mailbox, and it adds the
   ability to file messages into an anonymous mailbox that has a
   particular special-use attribute assigned.
 
Working Group Summary
 
  The EXTRA WG meeting in IETF 102 had detailed discussion about this draft.
  The authors had updated it accordingly.
  Alexey reviewed the draft in detail and gave some significant comments.
  All identified issues were reflected in the new version of the draft. 
  The WG has looked through this document in detail. It passed WGLC.
  The EXTRA WG meeting in IETF 103 thought that it is ready to move forward. 
 
Document Quality
 
  The document is in good shape and is ready to be published.
  Alexey Melnikov has indicated that he has implemented it.
  He gave some comments and suggestions based on implementation experiences. 
  After WG's discussion, some comments and suggestions have been
  incorporated into the new version of this document. 
 
Personnel
 
  Document Shepherd - Jiankang Yao (EXTRA co-chair)
  Responsible Area Director - Alexey Melnikov